import React from 'react';
import ReactDOM from 'react-dom';
import { arc } from 'd3';

const width = window.innerWidth;
const height = window.innerHeight;
const centerX = width / 2;
const centerY = height / 2;
const strokeWidth = 10;
const eyeOffsetX = 80;
const eyeOffsetY = 80;
const eyeRadius = 40;
const mouthArc = arc()
    .innerRadius(120)
    .outerRadius(125)
    .startAngle(Math.PI*1/3)
  .endAngle(-Math.PI*1/3);

const App = () => (
  <svg width={width} height={height}>
    <g transform={`translate(${centerX},${centerY})`}>
      <circle
        r={centerY - strokeWidth}
        fill="yellow"
        stroke="white"
        stroke-width={strokeWidth}
      />
      <circle
        cx={-eyeOffsetX}
        cy={180-eyeOffsetY}
        r={eyeRadius}
      />
      <circle
        cx={eyeOffsetX}
        cy={180-eyeOffsetY}
        r={eyeRadius}
      />
    <path d={mouthArc()}/>
    </g>
  </svg>
);
console.log(mouthArc());

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);